## ros-indigo-ecto-openni 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ecto_openni)

# Deal with catkin
find_package(catkin REQUIRED ecto)
find_package(ecto)

catkin_package(DEPENDS ecto)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

include(cmake/openni.cmake)
if(NOT ${HAVE_OPENNI})
  message(STATUS "Will not be building ecto_openni, as openni has not been found.")
  return()
endif()

find_package(Boost COMPONENTS serialization filesystem system thread REQUIRED)
find_package(OpenCV REQUIRED)

include_directories(openni_wrapper/include)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)
add_subdirectory(openni_wrapper)
add_subdirectory(cells)

ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc doc)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== cells/CMakeLists.txt ===
include_directories(SYSTEM ${OPENNI_INCLUDE_DIR})
set (SRCS 
  module.cpp
  Capture.cpp
  IRGamma.cpp
  KinectKGenerator.cpp
  KinectMaskGenerator.cpp
  openni_driver.cpp
  )

ectomodule(ecto_openni DESTINATION ./ INSTALL ${SRCS})

set_source_files_properties(${SRCS}
  PROPERTIES
  COMPILE_FLAGS "-Wno-deprecated -Wno-strict-aliasing -Wno-unknown-pragmas -Wno-error"
  )
  

link_ecto(ecto_openni openni_wrapper ${OpenCV_LIBS} ${OPENNI_LIBRARY})

=== openni_wrapper/CMakeLists.txt ===
PROJECT(openni_wrapper)

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/include)
INCLUDE_DIRECTORIES(${OPENNI_INCLUDE_DIR})
message(STATUS "OpenNI headers: ${OPENNI_INCLUDE_DIR}")
#INCLUDE_DIRECTORIES("/usr/include/openni")
INCLUDE_DIRECTORIES(${OpenCV_INCLUDE_DIRS})

#LINK_DIRECTORIES(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

set (SRCS 
  src/openni_device.cpp
  src/openni_device_xtion.cpp  
  src/openni_image_bayer_grbg.cpp
  src/openni_device_kinect.cpp     
  src/openni_driver.cpp        
  src/openni_image_rgb24.cpp
  src/openni_device_oni.cpp	  
  src/openni_image_yuv_422.cpp
  src/openni_depth_image.cpp	
  src/openni_device_primesense.cpp  
  src/openni_exception.cpp     
  src/openni_ir_image.cpp
  )

set_source_files_properties(${SRCS}
  PROPERTIES
  COMPILE_FLAGS "-Wno-deprecated -Wno-strict-aliasing -Wno-unknown-pragmas -Wno-error"
  )

ADD_LIBRARY(openni_wrapper SHARED ${SRCS})

target_link_libraries(openni_wrapper ${Boost_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
                                     OpenNI
)

install(TARGETS openni_wrapper
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== test/CMakeLists.txt ===
macro(pytest pyfile)
  string(REPLACE ";" " " args "${ARGN}")
  add_test(openni_${pyfile}
    ${CATKIN_ENV} ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}.py ${args}
    )
endmacro()

pytest(test_import)

=== debian/changelog ===
ros-indigo-ecto-openni (0.4.0-0trusty) trusty; urgency=high

  * remove stack.xml now that Fuerte is dropped
  * use floats for internals
  * remove Fuerte support
  * Merge pull request #6 <https://github.com/plasmodic/ecto_openni/issues/6> from zittix/patch-1
    Fixes OpenNI detection under Mac OS X when installed with Homebrew
  * Fixed OpenNI detection under Mac OS X when installed with Homebrew
  * update url
  * update the maintainer's email address
  * Contributors: Mathieu Monney, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Apr 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-ecto-openni
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libboost-all-dev, libopenni-dev, libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-ecto
Homepage: http://plasmodic.github.io/ecto_openni
Standards-Version: 3.9.2

Package: ros-indigo-ecto-openni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopenni-dev, libusb-1.0-0-dev, ros-indigo-cv-bridge, ros-indigo-ecto
Description: Ecto bindings for the openni sensor.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ecto-openni//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
